=== debian/changelog ===
deepin-anything (20180315+1) unstable; urgency=medium

  * Initial release.

 -- Deepin Package Builder <packages@deepin.com>  Tue, 20 Mar 2018 11:46:47 +0800
